=== debian/changelog ===
piuparts (0.41) unstable; urgency=low

  * piupartslib/packagesdb.py: Apply patch by Scott Schaefer to also consider
    alternative depends: the algorithm used to select the "best" alternative 
    is:
     1) Prefer first alternative in state "essential-required"
     2) If no "essential-required" alternatives, prefer first alternative
        in state "successfully-tested"
     3) Otherwise, prefer first alternative in state 
        "waiting-to-be-tested" IF NO REMAINING alternatives are in one of the
        "unknown/fail" states
    For this two new states have been introduced:
     a) "unknown-preferred-alternative": equivalent of "unknown", this defers
        calculation of this package's state, since one or more of its 
        alternative depends are "unknown" (or 
        "unknown-preferred-alternative"), and no alternative is either 
        "essential-required" or "successfully-tested".  The alternatives will
        be re-tested on subsequest pass.
     b) "no-dependency-from-alternatives-exists": if none of the alternatives
        can be found in the archive.
    (Closes: #526045)
  * piuparts-report.py: 
    - correct a typo from the patch for #523950.
    - make_stats_graph: draw the two new states as well.
    - point to source code in git instead of svn.
  * piuparts.py: 
    - use proxy settings either from apt configuration or http_proxy 
      environment variable, the latter overwriting the former (if present) 
      - Thanks to Scott Schaefer for the patch. (Closes: #632046)
    - new option "--no-install-purge-test" to only do upgrade tests
      - Thanks to Andreas Bergmann for the patch (Closes: #588482)
    - run dpkg with --force-unsafe-io by default and introduce new option
      "--dpkg-noforce-unsafe-io" to disable this feature. (Closes: #633033)
      Thanks to Scott once more!
    - new option: "--fail-on-broken-symlinks". Remove option "--warn-symlinks"
      as this is the default now.
  * piuparts-slave: 
    - check if chroot-tgz is older than max-tgz-age (defaulting to 30 days)
      and recreate it, if it is. Keep backup and put in back in place when 
      debootstrapping a new chroot-tgz fails. Retry after min-tgz-retry-delay
      seconds. Thanks to Scott Schaefer for the patch. (Closes: #632924)
    - document new configuration options max-tgz-age and min-tgz-retry-delay
      in README.txt.
    - fix bug in piuparts-slave which prevented running a single section by 
      including section name as command-line argument - thanks again to Scott
      and see 632924 too.
  * debian/control:
    - require python >= 2.6.6-3~, get rid of python-support build-depends.
    - add X-Python-Version: pseudo-header
  * debian/rules: use dh_python2 instead of python-support to build the 
    package
  * Makefile: build for python 2.6 and 2.7 instead of 2.5 and 2.6.
  * Source code is now stored in git.
    http://anonscm.debian.org/gitweb/?p=piuparts/piuparts.git
    git clone git+ssh://git.debian.org/git/piuparts/piuparts.git
    Thanks to Thomas Koch for setting those up and keeping history!
  * The configuration and scripts used on piatti.debian.org have also been
    moved to git, the URLs are the same, just s#piuparts#piatti#. 
  * Add entry about git to NEWS.
  * Update Vcs-*-Headers in control to reflect move to git.

 -- Holger Levsen <holger@debian.org>  Wed, 24 Aug 2011 13:47:07 +0200
