=== debian/control ===
Source: piuparts
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Uploaders: Holger Levsen <holger@debian.org>
Section: devel
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>=7)
Build-Depends-Indep: python (>=2.6.6-3~), asciidoc, xmlto
Homepage: http://piuparts.debian.org
Vcs-Git: git://anonscm.debian.org/piuparts/piuparts.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=piuparts/piuparts.git
X-Python-Version: >= 2.6

Package: piuparts
Architecture: all
Depends: apt, ${python:Depends}, debootstrap, lsof, lsb-release, 
    python-debian, ${misc:Depends}
Suggests: python-rpy, ghostscript
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 . 
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
