## piuparts 0.42

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 etcdir = $(prefix)/etc
 distribution=${shell dpkg-parsechangelog | sed -n 's/^Distribution: *//p'}
 ifeq ($(distribution),UNRELEASED)
-version=${shell echo "`dpkg-parsechangelog | sed -n 's/^Version: *//p'`~`date +%Y%m%d%H%M`"}
+version=${shell echo "`dpkg-parsechangelog | sed -n 's/^Version: *//p'`~`date +%Y%m%d%H%M`~`git describe --tags --dirty`"}
 else
 version=${shell dpkg-parsechangelog | sed -n 's/^Version: *//p'}
 endif
@@ -42,11 +42,11 @@
 	echo $(version)
 	sed -e 's/__PIUPARTS_VERSION__/$(version)/g' piuparts.py > piuparts
 	install piuparts $(sbindir)/piuparts
-	
+
 	install -d $(sharedir)/piuparts
 	for file in piuparts-slave piuparts-master piuparts-report piuparts-analyze; do \
 	    install -m 0755 $$file.py $(sharedir)/piuparts/$$file ; done
-	
+
 	install -d $(site26)/piupartslib
 	install -d $(site27)/piupartslib
 	install -m 0644 piupartslib/*.py $(site26)/piupartslib
