=== debian/changelog ===
piuparts (0.42) unstable; urgency=low

  [ Holger Levsen ]
  * piuparts.py:
    - add to self.ignored_files: /etc/blkid.tab (Closes: #638831)
    - add to self.ignored_patterns: /var/lib/apt/lists/.*
    - apply patch by Gregor Herrmann to fix --minimize. (Closes: #648423)
  * Remove Debian.NEWS entry about source in git. (Closes: #640121)
  * piuparts.py, piuparts-report.py, ChangeLog: Expand tabs to spaces.
  * Remove whitespaces from whitespace-only lines.
  * piuparts-report: 
    - create maintainer subdirs if they don't exist.
    - detect tests being terminated due to excessive output.
  * Add git to Build-Depends-Indep: as git describe is used to generate
    part of the version string for development builds.
  * Add debian/.gitignore

  [ Mika Pflüger ]
  * piuparts-analyze.py:
    - Rewrite to use python-debianbts to analyze if bugs are filed already.
    - The BTS only tracks source versions, so remove binNMU-part from
      package versions when comparing with versions from the BTS.
    - Reduce noise in the output by only printing one action/advise per
      package.
    - Fix extraction of package versions from bug reports. Thanks to
      Andreas Beckmann for catching and solving the error.
  * debian/control: Add python-apt and python-debianbts to piuparts depends.

  [ Scott Schaefer ]
  * debian/copyright: Make it compliant with DEP-5.
  * piuparts-slave.py: 
    - Replace deprecated os.popen2 with subprocess.Popen. (Closes: #640646)
    - Add some more logging.
    - Kill children (hard-coded value, 45 minutes) to ensure test doesn't
      run "forever" (Closes: #640647, #387428)
  * piuparty.py:
    - Kill leftover processes (via SIGTERM, then if that fails, via SIGKILL).
      (Closes: #522918)
    - Test for incorrect diversion handling:  (Closes: #588313)
      a) Existing diversions removed/modified, and/or
      b) Installed diversions not removed by purge.
  * piupartslib/packagesdb.py: Modify several functions in PackagesDB class
    to use python 'set' type, instead of a list.  This permitted replacing 
    inefficient combination of unique() function and random.shuffle() with
    python set.pop() method.  Since python prohibits storing non-hashable
    object in a set, minor modifications to piuparts-report and to
    piuparts-master required. (Closes: #640648)

  [ Andreas Beckmann ]
  * *.py: Add vim modeline.
  * piuparts.py:
    - Add unittests for misbehaving symlinks.
    - Fix resolving absolute symlinks of intermediate directory components,
      i.e. /var/run -> /run while checking /etc/motd -> /var/run/motd.
      Solves about 30000 false positives of
      'Broken symlinks: /etc/motd -> /var/run/motd'.  (Closes: #648784)
    - When running commands in the chroot, redirect stdin from /dev/null.
    - Stop using Popen.communicate() as it may run out of memory.
    - Terminate commands producing more than 2 MB of output. (Closes: #649335)
    - Create /etc/dpkg/dpkg.cfg.d/ if missing inside the chroot (e.g. on
      lenny).  (Closes: #647752)
    - Remove logrotate and its dependencies only once.
    - Only run 'apt-get update' after updating the sources.list.
    - Only run 'apt-get clean' before creating tarballs or saving meta data.
    - Do the same checks for running processes and broken symlinks in all
      tests.  (Closes: #648708)
    - Create piupart's apt config in the chroot as /etc/apt.conf.d/piuparts
      instead of /etc/apt.conf in order to allow overriding the settings from
      custom scripts by just dropping new config bits in e.g.
      /etc/apt/apt.conf.d/piuparts-foobar.
    - Integrate diversion checks with Chroot.check_result().
    - Use 'apt-get remove' to remove all packages at once with proper
      dependency ordering.  (Closes: #648162)
    - Purge all packages at once instead of doing it one-by-one.
    - Make restore_selections() reinstall missing packages.  (Closes: #648707)
    - Set more environment variables to let custom scripts know where and
      when they are being run: PIUPARTS_TEST, PIUPARTS_PHASE,
      PIUPARTS_DISTRIBUTION{,_PREV,_NEXT}.  See the README for details.
      (Closes: #589498)
    - Add missing post_install_* custom scripts to install_packages_by_name().
      (Closes: #628077)
    - Remove pre_upgrade_* custom scripts, they can be replaced with
      pre_install_* scripts that check for PIUPARTS_PHASE=upgrade.
    - Add pre_test_* custom scripts.  These are run exactly once at the
      beginning of each test (after recording the initial chroot state).
    - Allow multiple --scriptsdir options, the contents will be merged.
    - Exclude /tmp/scripts when creating a tarball.
    - Use --one-file-system when creating a tarball to exclude bindmounts etc.
    - Restore base system from temp_tgz instead of running debootstrap again.
      (Closes: #648193)
    - Do not fail upgrade/distupgrade tests for a set of packages where not
      all packages exist in the start distribution.  This happens e.g. when
      testing .changes files and packages were split/added. Only install the
      old packages that actually exist according to 'apt-cache show'.
    - Add --extra-old-packages option to intall additional old packages that
      are not in the set of new packages to be tested.  Useful for testing
      upgrades with Conflicts/Replaces relationships, e.g. in package renames
      or merges.
    - Use consistent variable names for package lists.  (Closes: #648177)
    - Compute the changes in restore_selections().
    - Check for settings.scriptsdir inside run_scripts().
    - Consistently use chroot.relative() to build filenames inside the chroot.
  * piupartslib/packagesdb.py:
    - Handle 'unknown-preferred-alternative' state correctly.
    - Add 'does-not-exist' state for dependency resolution to distinguish this
      from 'unknown' state so that the latter only indicates 'unresolvable' or
      'not yet resolved'.
    - Handle virtual packages separately from real packages.

