## piuparts 0.43

=== debian/changelog ===
piuparts (0.43) unstable; urgency=low

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to self.ignored_patterns: /run/.*
    - Unset DISPLAY variable before running commands in the chroot.
    - Read possibly remaining buffered output after a command terminated.
    - Run apt-cache policy on the packages to be installed.
    - Simplify keeping the reference chroot state: move tree info, selections
      and diversions into a dict, can be extended easily.
    - Fix --*end-meta documentation and actually enable these options.
    - Cleanup options and settings.
  * piupartslib/packagesdb.py:
    - Restrict circular-dependency state to packages on the circle.
  * piuparts-master.py:
  * piuparts-slave.py:
    - Fix chdir in/out of the slave dir to work with relative paths.
  * piuparts-report.py:
    - Reorder the list of known problem analyses and add a few new ones.
    - Correctly split + strip comma-separated lists.
  * piuparts-analyze.py:
    - Also consider bugs that 'affects' a package.
    - Treat bugs without 'found' version as older than anything.
  * Makefile: Support version number substitution in piuparts-*.py, too.
  * README.txt: Document piuparts.conf settings used by piatti.git scripts.

  [ Holger Levsen ]
  * piuparts.1.txt: correctly reverse the description of --save-end-meta
    and --end-meta.
  * piuparts-report.py:
    - add support for more static pages and add bug_howto.tpl, explaining how
      to file meaningful bugs piuparts-analyse understands. This page also
      links to the templates used for bug filing.
  * piuparts-slave.py: make status message more useful by including the
    section.

 -- Holger Levsen <holger@debian.org>  Sun, 22 Jan 2012 13:03:59 +0100
