=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: extra
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>=7)
-Build-Depends-Indep: python (>=2.6.6-3~), asciidoc, xmlto
+Build-Depends-Indep: python (>=2.6.6-3~), asciidoc, xmlto, git
 Homepage: http://piuparts.debian.org
 Vcs-Git: git://anonscm.debian.org/piuparts/piuparts.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=piuparts/piuparts.git
@@ -14,7 +14,7 @@
 Package: piuparts
 Architecture: all
 Depends: apt, ${python:Depends}, debootstrap, lsof, lsb-release, 
-    python-debian, ${misc:Depends}
+    python-debian, ${misc:Depends}, python-debianbts, python-apt
 Suggests: python-rpy, ghostscript
 Description: .deb package installation, upgrading, and removal testing tool
  piuparts tests that .deb packages (as used by Debian) handle
