=== debian/changelog ===
piuparts (0.43ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #926738).  Remaining changes:
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
    - piuparts.py:
      + Set default keyring name to ubuntu-archive-keyring.pgp
      + Set default distribution to precise.
  * New patch add-existing-chroot-option.patch (LP: #926730):
    - add --existing-chroot option to piuparts, it is useful when you use
      pbuilder with "--no-targz" option, that creates a chroot within 
      a directory instead of a ".tar.gz" file.

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 16 Feb 2012 00:59:06 +0200

piuparts (0.42ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
    - piuparts.py:
      + Set default keyring name to ubuntu-archive-keyring.pgp
      + Set default distribution to precise.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 04 Jan 2012 17:10:09 +0700

piuparts (0.41ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:06:46 +0000

piuparts (0.41ubuntu1) precise; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
    - piuparts.py: Set default keyring name to ubuntu-archive-keyring.pgp
  *  piuparts.py: Set default distribution to precise.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 24 Oct 2011 13:54:01 -0400
