=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: piuparts
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders: Holger Levsen <holger@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>=7)
 Build-Depends-Indep: python (>=2.6.6-3~), asciidoc, xmlto, git
 Homepage: http://piuparts.debian.org
