=== debian/changelog ===
piuparts (0.45) unstable; urgency=low

  [ Holger Levsen ]
  * Merge piatti.git into piuparts.git, so that piatti.git has become obsolete
    now. Update documentation accordingly.
  * Further split packaging into piuparts-master, piuparts-slave and
    piuparts-common binary packages (Closes: #585861) and cleanup
    dependencies.
  * Update piuparts.NEWS about master+slave packages.
  * Switch to debhelper8 packaging.
  * debian/copyright: use versioned URI of the machine-readable copyright file,
    thanks lintian.
  * Move /etc/sudoers.d/piuparts to piuparts-slave package.
  * piuparts-master: depend on tango-icon-theme and drop sunny.png and
    weather-severe-alert.png and use links instead.
  * Reviewed and merged/cherry-picked all of the following changes.

  [ David Steele ]
  * Remove debian/postinst as it was only dealing with lenny time area
    configuration files.
  * Added server configuration files for apache, sudo, and cron.
  * Use dh_install, in preparation for multiple package build.
  * Added packaging to create the piuparts-server package out of the old
    piatti directory tree (Closes: #652934).
    - Create and configure piupartss and piupartsm users.
    - Coordinate ssh keys between master and slave users.
    - Create working directory tree for each under /var/lib/piuparts
  * packagesdb.py:
    - Calculate recursive reverse dependency count, and store in PackagesDB.
    - Calculate the count of packages being blocked by a failed package.
  * piuparts-report.py:
    - Release Section object when section processing is complete.
      (Closes: #673919)
    - Display reverse dependency counts and block counts to failure summaries.
    - Sort the failed-testing and cannot-be-tested summaries by block count.
      (Closes: #674498)
    - Replace O(n^2) search in remove_old_logs() with a hash
      piuparts-report run time improved 20% on mature environment.
    - Another search fix in create_package_summaries (find_links_to_logs)
      yielding a 10x speedup for piuparts-report runs.
      (Closes: #674672)
    - Cleanup/wrap some long source lines.
    - Cleanup/wrap some long html lines.
    - Allow the html root to be changed from /
      (piuparts.conf: e.g. [global] doc-root = /piuparts/).

  [ Andreas Beckmann ]
  * piuparts.py:
    - Implement --install-remove-install option to test installation in
      config-files-remaining state.  (Closes: #359154)
    - Report leftover symlinks with target.
    - Report leftover directories with a trailing slash.
    - Allow ignore entries to specifically match directories.
    - Ignore patterns need to match the full filename, not a substring.
    - Cleanup and regroup ignore lists.
      + Remove many obsolete entries not needed for squeeze or later.
      + Group ignore entries into piuparts state, system state, package
        management, logfiles, home directories, application data, and HACKS.
    - Add to ignored_files/ignored_patterns:
      + Default system logfiles as created by syslogd in /var/log/
      + Common empty directories in /etc not removed due to dpkg bug #316521
      + cdebconf status files
      + /boot/grub/
      + /etc/X11/default-display-manager
      + /etc/aliases.db
      + /etc/apt/trusted.gpg.d/.*.gpg~
      + /etc/network/interfaces
      + /etc/news/whoami
      + /usr/share/keyrings/debian-archive-removed-keys.gpg~
      + /var/crash/
      + /var/lib/citadel/(data/.*)?
      + /var/lib/gozerbot/
      + /var/lib/nagios/                        (Closes: #668756)
      + /var/lib/openvswitch/(pki/.*)?
      + /var/spool/powerdns/                    (Closes: #531134, #531135)
    - Implement a timeout for commands being run in the chroot.
    - Set time limit to 30 minutes per command. (Closes: #654423)
    - Terminate all processes running inside the chroot before removing the
      chroot; also in case piuparts aborts due to an error.
    - Continue killing running processes as long as new processes get spawned
      in the chroot.
    - Perform chroot cleanup after receiving Ctrl-C/SIGINT, too.
    - Let Chroot register/de-register the cleanup panic handler.
    - Remove temp_tgz on error exit.
    - Remove metapackage build directory on error exit.  (Closes: #663702)
    - Don't remove eatmydata when minimizing a chroot.  (Closes: #658962)
    - Add support for version-qualified package arguments (--apt foo=1.2-3).
    - Switch fallback mirror to http://cdn.debian.net/debian.
  * piuparts.conf:
    - Defaults for all [section] settings can be set in the [global] section.
    - Change master-command to not include the section name so that it can be
      set in the [global] section.
      The section name will be given as an argument to this command.
    - Make doc-root default to "/".
    - New per section key: area (set to one of main, contrib, non-free).
    - New defaults: mirror=http://cdn.debian.net/debian, area=main.
    - Compute URLs from mirror, distro, area, arch.
    - Removed deprecated keys: known_circular_depends, packages-url,
      sources-url.
  * master/db/report: Add a new category /affected/ for failed logs where the
    bug is in a dependency, but only exposed by the package being tested.
    - In the BTS these are reported as          (Closes: #657740)
        Package: buggy-package
        Version: buggy-version
        Affects: package-under-test
        Found: package-under-test/tested-version
    - Reschedule /affected/ logs like /fail/ logs.
  * piupartslib/conf.py:
    - Add support for getting default values from a special section.
    - Add methods to get mirror, distro, area, arch from config file or
      defaults.
    - Add methods to compute URLs to Packages and Sources files.
  * piupartslib/packagesdb.py:
    - Do not consider a package as "untestable" if untestable/ contains a
      logfile from an obsolete version of that package.
    - Simplify handling of package and dependency states.

