=== debian/control ===
Source: piuparts
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Uploaders:
 Holger Levsen <holger@debian.org>
Section: devel
Priority: extra
Standards-Version: 3.9.3
Build-Depends:
 debhelper (>= 8.1.0~),
 python (>=2.6.6-3~),
Build-Depends-Indep:
 asciidoc,
 git,
 xmlto
Homepage: http://piuparts.debian.org
Vcs-Git: git://anonscm.debian.org/piuparts/piuparts.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=piuparts/piuparts.git
X-Python-Version: >= 2.6

Package: piuparts
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.7.2~),
Depends:
 debootstrap,
 lsb-release,
 lsof,
 python-debian,
 ${misc:Depends},
 ${python:Depends}
Suggests:
 schroot
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 .
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.

Package: piuparts-master
Architecture: all
Depends:
 piuparts-common (= ${binary:Version}),
 adduser,
 openssh-server,
 python-debianbts,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 apache2,
 ghostscript,
 python-rpy,
 r-base-dev,
 r-recommended,
 tango-icon-theme
Breaks:
 piuparts (<= 0.44)
Replaces:
 piuparts (<= 0.44)
Description: piuparts master components
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on http://piuparts.debian.org/.
 .
 This package provides the piuparts-master, which needs one or more slave to
 operate. It also contains piuparts-reports to generate web pages with the
 testing results as well as documentation.

Package: piuparts-slave
Architecture: all
Depends:
 piuparts (= ${binary:Version}),
 piuparts-common (= ${binary:Version}),
 adduser,
 openssh-client,
 screen,
 ${misc:Depends},
 ${python:Depends}
Suggests:
 schroot
Breaks:
 piuparts (<= 0.44)
Replaces:
 piuparts (<= 0.44)
Description: piuparts slave components
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on http://piuparts.debian.org/.
 .
 This package provides the piuparts slave components, which need a piuparts
 master to operate. See the documentation in the piuparts-master package.

Package: piuparts-common
Architecture: all
Depends:
 python-apt,
 ${misc:Depends},
 ${python:Depends}
Breaks:
 piuparts (<= 0.44)
Replaces:
 piuparts (<= 0.44)
Description: common piuparts components
 piupartslib, common library used by piuparts-master, -reports, -analyze and
 -slave.
 .
 See http://piuparts.debian.org or the piuparts package to learn more about
 piuparts.
