## piuparts 0.45ubuntu1

=== debian/changelog ===
piuparts (0.45ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - In Ubuntu, debfoster tries to remove packages with priority
     required even if MaxPriority=required is used. Setting MaxPriority
     to important reduces the number of packages to be removed as well
     as false positives generated by unwanted package removals. This can
     be dropped if a proper fix for debfoster is found.
   - piuparts.py: Set default keyring name to ubuntu-archive-keyring.pgp
  * Set default distribution to quantal.
  * Drop add-existing-chroot-option.patch, applied in Debian.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 18 Jul 2012 15:27:22 -0400
