=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: piuparts
-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders:
  Holger Levsen <holger@debian.org>
 Section: devel
